<?php
// This theme styles the visual editor with editor-style.css to match the theme style.
add_editor_style();

// Adds RSS feed links to <head> for posts and comments.
add_theme_support( 'automatic-feed-links' );


register_nav_menus( array('header_menu' => 'Main Navigation') );
register_nav_menus( array('footer_menu' => 'Footer Navigation') );


add_theme_support( 'post-thumbnails' );


function smart_scripts_styles() {
global $wp_styles;

/*
 * Adds JavaScript to pages with the comment form to support
 * sites with threaded comments (when in use).
 */
if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );

/*
* Adds JavaScript for handling the navigation menu hide-and-show behavior.
*/
wp_enqueue_script( 'jquery' );
//wp_enqueue_script('jquery', get_template_directory_uri(). '/js/jquery-1.10.2.min.js"', array(), '1.0', true );
wp_enqueue_script('flexslider', get_template_directory_uri(). '/js/jquery.flexslider.js"', array(), '1.0', true );
//wp_enqueue_script('ddsmoothmenu', get_template_directory_uri(). '/js/ddsmoothmenu.js"', array(), '1.0', true );
wp_enqueue_script('custom', get_template_directory_uri(). '/js/custom.js"', array(), '1.0', true );
	
/*
 * Loads our main stylesheet.
 */
wp_enqueue_style( 'css-reset', get_template_directory_uri() . '/css/html5-reset.css', '2014' );
wp_enqueue_style( 'dennis-style', get_stylesheet_uri() );
wp_enqueue_style( 'css-flexslider', get_template_directory_uri() . '/css/flexslider.css', '2014' );


	
}
add_action( 'wp_enqueue_scripts', 'smart_scripts_styles' );


function smart_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'dennis' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'smart_wp_title', 10, 2 );



/**
 * Registers our main widget area and the front page widget areas.
 */
function smart_widgets_init() {
	register_sidebar( array(
		'name' => __( 'Sidebar Widgets'),
		'id' => 'sidebar',
		'description' => __( 'Appears on posts and pages except the optional Front Page template, which has its own widgets', 'dennis' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	));
	

}
add_action( 'widgets_init', 'smart_widgets_init' );


// Get Image URL

function smart_featured_img_url($smart_featured_img_size) {
$smart_image_id = get_post_thumbnail_id();
$smart_image_url = wp_get_attachment_image_src($smart_image_id,$smart_featured_img_size);
$smart_image_url = $smart_image_url[0];
return $smart_image_url;
}

include_once('theme-functions.php');
include 'meta-box.php';